## r-cran-spatstat 1.64

=== DESCRIPTION ===
Package: spatstat
Version: 1.64-1
Date: 2020-05-10
Title: Spatial Point Pattern Analysis, Model-Fitting, Simulation, Tests
Author: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>,
	Rolf Turner <r.turner@auckland.ac.nz> 
        and Ege Rubak <rubak@math.aau.dk>,
	with substantial contributions of code by 
	Kasper Klitgaard Berthelsen;
	Ottmar Cronie;
	Tilman Davies;
	Yongtao Guan;
	Ute Hahn;
	Abdollah Jalilian;
	Marie-Colette van Lieshout;
	Greg McSwiggan;
	Tuomas Rajala;
	Suman Rakshit;
	Dominic Schuhmacher;
	Rasmus Waagepetersen;
 	and Hangsheng Wang.
	Additional contributions 
	by M. Adepeju;
        C. Anderson; 
        Q.W. Ang;
	R. Arellano;
	J. Astrom;
	R. Aue;
        M. Austenfeld;
	S. Azaele; 
	M. Baddeley;
	C. Beale; 
	M. Bell;
	R. Bernhardt; 
	T. Bendtsen;
	A. Bevan;
	B. Biggerstaff;
	A. Bilgrau;
	L. Bischof;
	C. Biscio;
	R. Bivand;
	J.M. Blanco Moreno;
	F. Bonneu;
	J. Brown;
	J. Burgos; 
	S. Byers; 
	Y.M. Chang; 
	J.B. Chen; 
	I. Chernayavsky; 
	Y.C. Chin; 
	B. Christensen;
	L. Cobo Sanchez;
	J.-F. Coeurjolly;
	K. Colyvas;
	H. Commenges;
	R. Constantine;
	R. Corria Ainslie;
	R. Cotton;
	M. de la Cruz; 
	P. Dalgaard; 
	M. D'Antuono;
        S. Das;
	P.J. Diggle; 
	P. Donnelly;
	I. Dryden; 
	S. Eglen; 
	A. El-Gabbas;
        B. Fandohan;
        O. Flores;
	E.D. Ford;
        P. Forbes;
	S. Frank; 
	J. Franklin; 
	N. Funwi-Gabga;
        O. Garcia;
	A. Gault; 
 	J. Geldmann;
	M. Genton;
	S. Ghalandarayeshi;
	J. Gilbey;
	J. Goldstick;
	P. Grabarnik; 
	C. Graf; 
	U. Hahn; 
	A. Hardegen; 
	M.B. Hansen; 
	M. Hazelton; 
	J. Heikkinen; 
	M. Hering; 
	M. Herrmann;
	M. Hesselbarth;
	P. Hewson;
	H. Heydarian;
	K. Hingee;
	K. Hornik; 
	P. Hunziker; 
	J. Hywood;
	R. Ihaka;
	C. Icos; 
	A. Jammalamadaka;
	R. John-Chandran; 
	D. Johnson; 
	M. Khanmohammadi;
	R. Klaver;
	P. Kovesi;
	L. Kozmian-Ledward;
	M. Kuhn; 
	J. Laake; 
	R.A. Lamb; 
	F. Lavancier;
	T. Lawrence;
	T. Lazauskas;
	J. Lee; 
	G.P. Leser;
	A. Li;
	H.T. Li;
	G. Limitsios;
	A. Lister;
	N. Luambua;
	B. Madin;
	M. Maechler;
	J. Marcus;
	K. Marchikanti; 
	R. Mark; 
	J. Mateu;
	P. McCullagh; 
	U. Mehlig;
	F. Mestre;
	S. Meyer; 
	X.C. Mi;
	L. De Middeleer;
	R.K. Milne; 
        E. Miranda;
	J. Moller;
	A. Mollie;
	I. Moncada;
	M. Moradi;
	V. Morera Pujol; 
	E. Mudrak;
        G.M. Nair;
	N. Najari;
	N. Nava;
	L.S. Nielsen; 
	F. Nunes; 
	J.R. Nyengaard;
	J. Oehlschlaegel;
	T. Onkelinx;
	S. O'Riordan;
	E. Parilov; 
	J. Picka; 
	N. Picard;
	T. Pollington;
	M. Porter;
	S. Protsiv;
	A. Raftery; 
	S. Rakshit; 
	B. Ramage;
	P. Ramon;
	X. Raynaud;
	N. Read; 
	M. Reiter; 
        I. Renner;
	T.O. Richardson;  
	B.D. Ripley;  
	E. Rosenbaum; 
	B. Rowlingson; 
	J. Rudokas;
	T. Rudolph;
	J. Rudge;
	C. Ryan; 
	F. Safavimanesh;
	A. Sarkka; 
	C. Schank; 
	K. Schladitz; 
	S. Schutte;
	B.T. Scott; 
        O. Semboli;
	F. Semecurbe;
	V. Shcherbakov;
	G.C. Shen;
        P. Shi;
	H.-J. Ship;
	T.L. Silva;
	I.-M. Sintorn; 
	Y. Song; 
	M. Spiess; 
	M. Stevenson; 
	K. Stucki;
	J. Sulavik;
	M. Sumner; 
	P. Surovy; 
	B. Taylor; 
	T. Thorarinsdottir;
	L. Torres;
	B. Turlach; 
	T. Tvedebrink;
        K. Ummer;
	M. Uppala;
	A. van Burgel; 
	T. Verbeke; 
        M. Vihtakari;
	A. Villers; 
        F. Vinatier;
        M. Vogtland;
        S. Voss;
	S. Wagner;
	H. Wang; 
	H. Wendrock; 
	J. Wild;
	C. Witthoft;
	S. Wong;
	M. Woringer;
	L. Yates;
	M.E. Zamboni
	and
	A. Zeileis.
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.3.0), spatstat.data (>= 1.4-2), stats, graphics,
        grDevices, utils, methods, nlme, rpart
Imports: spatstat.utils (>= 1.17-0), mgcv, Matrix, deldir (>= 0.0-21),
        abind, tensor, polyclip (>= 1.10-0), goftest (>= 1.2-2)
Suggests: sm, maptools (>= 0.9-9), gsl, locfit, spatial, RandomFields
        (>= 3.1.24.1), RandomFieldsUtils(>= 0.3.3.1), fftwtools (>=
        0.9-8)
Description: Comprehensive open-source toolbox for analysing Spatial Point Patterns. Focused mainly on two-dimensional point patterns, including multitype/marked points, in any spatial region. Also supports three-dimensional point patterns, space-time point patterns in any number of dimensions, point patterns on a linear network, and patterns of other geometrical objects. Supports spatial covariate data such as pixel images. 
	Contains over 2000 functions for plotting spatial data, exploratory data analysis, model-fitting, simulation, spatial sampling, model diagnostics, and formal inference. 
	Data types include point patterns, line segment patterns, spatial windows, pixel images, tessellations, and linear networks. 
	Exploratory methods include quadrat counts, K-functions and their simulation envelopes, nearest neighbour distance and empty space statistics, Fry plots, pair correlation function, kernel smoothed intensity, relative risk estimation with cross-validated bandwidth selection, mark correlation functions, segregation indices, mark dependence diagnostics, and kernel estimates of covariate effects. Formal hypothesis tests of random pattern (chi-squared, Kolmogorov-Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-Ford, Dao-Genton, two-stage Monte Carlo) and tests for covariate effects (Cox-Berman-Waller-Lawson, Kolmogorov-Smirnov, ANOVA) are also supported.
	Parametric models can be fitted to point pattern data using the functions ppm(), kppm(), slrm(), dppm() similar to glm(). Types of models include Poisson, Gibbs and Cox point processes, Neyman-Scott cluster processes, and determinantal point processes. Models may involve dependence on covariates, inter-point interaction, cluster formation and dependence on marks. Models are fitted by maximum likelihood, logistic regression, minimum contrast, and composite likelihood methods. 
	A model can be fitted to a list of point patterns (replicated point pattern data) using the function mppm(). The model can include random effects and fixed effects depending on the experimental design, in addition to all the features listed above.
	Fitted point process models can be simulated, automatically. Formal hypothesis tests of a fitted model are supported (likelihood ratio test, analysis of deviance, Monte Carlo tests) along with basic tools for model selection (stepwise(), AIC()) and variable selection (sdr). Tools for validating the fitted model include simulation envelopes, residuals, residual plots and Q-Q plots, leverage and influence diagnostics, partial residuals, and added variable plots.
License: GPL (>= 2)
URL: http://www.spatstat.org
LazyData: true
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat/issues
Packaged: 2020-05-10 03:00:50 UTC; adrian
Repository: CRAN
Date/Publication: 2020-05-12 17:10:02 UTC

## r-cran-spatstat 1.64-1

=== debian/changelog ===
r-cran-spatstat (1.64-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 10:00:04 +0200

r-cran-spatstat (1.63-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 Mar 2020 11:50:22 +0100

=== debian/control ===
Source: r-cran-spatstat
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-spatstat.data,
               r-cran-nlme,
               r-cran-rpart,
               r-cran-spatstat.utils (>= 1.17-0),
               r-cran-mgcv,
               r-cran-matrix,
               r-cran-deldir,
               r-cran-abind,
               r-cran-tensor,
               r-cran-polyclip (>= 1.10-0),
               r-cran-goftest (>= 1.2-2)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git
Homepage: https://cran.r-project.org/package=spatstat
Rules-Requires-Root: no

Package: r-cran-spatstat
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Spatial Point Pattern analysis, model-fitting, simulation, tests
 A GNU R package for analysing spatial data, mainly Spatial Point Patterns,
 including multitype/marked points and spatial covariates, in any
 two-dimensional spatial  region.  Contains functions for plotting spatial
 data, exploratory data analysis, model-fitting, simulation, spatial sampling,
 model diagnostics, and formal inference. Data types include point patterns,
 line segment patterns, spatial windows, and pixel images. Point process
 models can be fitted to point pattern data.  Cluster type models are fitted
 by the method of minimum contrast. Very general Gibbs point process models
 can be fitted to point pattern data using a function ppm similar to lm or glm.
 Models may include dependence on covariates, interpoint interaction and
 dependence on marks. Fitted models can be simulated automatically.  Also
 provides facilities for formal inference (such as chi-squared tests) and model
 diagnostics (including simulation envelopes, residuals, residual plots and Q-Q
 plots).

## r-cran-spatstat 2.3

=== DESCRIPTION ===
Package: spatstat
Version: 2.3-0
Date: 2021-12-12
Title: Spatial Point Pattern Analysis, Model-Fitting, Simulation, Tests
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre"),
       	            email = "Adrian.Baddeley@curtin.edu.au"),
	     person("Rolf", "Turner", 
                    role = "aut",
 	            email="r.turner@auckland.ac.nz"),
	     person("Ege",   "Rubak", 
                    role = "aut",
		    email = "rubak@math.aau.dk"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 2.1-0), spatstat.geom (>=
        2.3-0), spatstat.core (>= 2.3-0), spatstat.linnet (>= 2.3-0),
        utils
Imports: spatstat.utils (>= 2.2-0)
Suggests:
Description: Comprehensive open-source toolbox for analysing Spatial Point Patterns. Focused mainly on two-dimensional point patterns, including multitype/marked points, in any spatial region. Also supports three-dimensional point patterns, space-time point patterns in any number of dimensions, point patterns on a linear network, and patterns of other geometrical objects. Supports spatial covariate data such as pixel images. 
	Contains over 2000 functions for plotting spatial data, exploratory data analysis, model-fitting, simulation, spatial sampling, model diagnostics, and formal inference. 
	Data types include point patterns, line segment patterns, spatial windows, pixel images, tessellations, and linear networks. 
	Exploratory methods include quadrat counts, K-functions and their simulation envelopes, nearest neighbour distance and empty space statistics, Fry plots, pair correlation function, kernel smoothed intensity, relative risk estimation with cross-validated bandwidth selection, mark correlation functions, segregation indices, mark dependence diagnostics, and kernel estimates of covariate effects. Formal hypothesis tests of random pattern (chi-squared, Kolmogorov-Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-Ford, Dao-Genton, two-stage Monte Carlo) and tests for covariate effects (Cox-Berman-Waller-Lawson, Kolmogorov-Smirnov, ANOVA) are also supported.
	Parametric models can be fitted to point pattern data using the functions ppm(), kppm(), slrm(), dppm() similar to glm(). Types of models include Poisson, Gibbs and Cox point processes, Neyman-Scott cluster processes, and determinantal point processes. Models may involve dependence on covariates, inter-point interaction, cluster formation and dependence on marks. Models are fitted by maximum likelihood, logistic regression, minimum contrast, and composite likelihood methods. 
	A model can be fitted to a list of point patterns (replicated point pattern data) using the function mppm(). The model can include random effects and fixed effects depending on the experimental design, in addition to all the features listed above.
	Fitted point process models can be simulated, automatically. Formal hypothesis tests of a fitted model are supported (likelihood ratio test, analysis of deviance, Monte Carlo tests) along with basic tools for model selection (stepwise(), AIC()) and variable selection (sdr). Tools for validating the fitted model include simulation envelopes, residuals, residual plots and Q-Q plots, leverage and influence diagnostics, partial residuals, and added variable plots.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat/issues
Packaged: 2021-12-12 09:58:04 UTC; adrian
Author: Adrian Baddeley [aut, cre],
  Rolf Turner [aut],
  Ege Rubak [aut]
Repository: CRAN
Date/Publication: 2021-12-12 10:40:02 UTC

## r-cran-spatstat 2.3-0

=== debian/changelog ===
r-cran-spatstat (2.3-0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add missing build dependency on dh addon.
  * Fix more permissions

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jan 2022 21:01:43 +0100

r-cran-spatstat (2.2-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Upstream has moved test suite to other packages thus removing
    autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 14:01:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data,
-               r-cran-nlme,
-               r-cran-rpart,
-               r-cran-spatstat.utils (>= 1.17-0),
-               r-cran-mgcv,
-               r-cran-matrix,
-               r-cran-deldir,
-               r-cran-abind,
-               r-cran-tensor,
-               r-cran-polyclip (>= 1.10-0),
-               r-cran-goftest (>= 1.2-2)
-Standards-Version: 4.5.0
+               r-cran-spatstat.data (>= 2.1-0),
+               r-cran-spatstat.geom (>= 2.3-0),
+               r-cran-spatstat.core,
+               r-cran-spatstat.linnet,
+               r-cran-spatstat.utils (>= 2.2-0),
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git
 Homepage: https://cran.r-project.org/package=spatstat

## r-cran-spatstat 2.3-4

=== debian/changelog ===
r-cran-spatstat (2.3-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 13:04:29 +0200

r-cran-spatstat (2.3-3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 16:12:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 2.1-0),
-               r-cran-spatstat.geom (>= 2.3-0),
+               r-cran-spatstat.data (>= 2.1-2),
+               r-cran-spatstat.geom (>= 2.4-0),
+               r-cran-spatstat.random (>= 2.2-0),
                r-cran-spatstat.core,
                r-cran-spatstat.linnet,
-               r-cran-spatstat.utils (>= 2.2-0),
-               debhelper
-Standards-Version: 4.6.0
+               r-cran-spatstat.utils (>= 2.3-0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git
 Homepage: https://cran.r-project.org/package=spatstat

## r-cran-spatstat 3.0

=== DESCRIPTION ===
Package: spatstat
Version: 3.0-8
Date: 2024-03-26
Title: Spatial Point Pattern Analysis, Model-Fitting, Simulation, Tests
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre"),
       	            email = "Adrian.Baddeley@curtin.edu.au",
		    comment = c(ORCID="0000-0001-9499-8382")),
	     person("Rolf", "Turner", 
                    role = "aut",
 	            email="rolfturner@posteo.net",
		    comment=c(ORCID="0000-0001-5521-5218")),
	     person("Ege",   "Rubak", 
                    role = "aut",
		    email = "rubak@math.aau.dk",
		    comment=c(ORCID="0000-0002-6675-533X")))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 3.0-4), spatstat.geom (>=
        3.2-9), spatstat.random (>= 3.2-3), spatstat.explore (>=
        3.2-7), spatstat.model (>= 3.2-11), spatstat.linnet (>= 3.1-5),
        utils
Imports: spatstat.utils (>= 3.0-4)
Suggests:
Description: Comprehensive open-source toolbox for analysing Spatial Point Patterns. Focused mainly on two-dimensional point patterns, including multitype/marked points, in any spatial region. Also supports three-dimensional point patterns, space-time point patterns in any number of dimensions, point patterns on a linear network, and patterns of other geometrical objects. Supports spatial covariate data such as pixel images. 
	Contains over 3000 functions for plotting spatial data, exploratory data analysis, model-fitting, simulation, spatial sampling, model diagnostics, and formal inference. 
	Data types include point patterns, line segment patterns, spatial windows, pixel images, tessellations, and linear networks. 
	Exploratory methods include quadrat counts, K-functions and their simulation envelopes, nearest neighbour distance and empty space statistics, Fry plots, pair correlation function, kernel smoothed intensity, relative risk estimation with cross-validated bandwidth selection, mark correlation functions, segregation indices, mark dependence diagnostics, and kernel estimates of covariate effects. Formal hypothesis tests of random pattern (chi-squared, Kolmogorov-Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-Ford, Dao-Genton, two-stage Monte Carlo) and tests for covariate effects (Cox-Berman-Waller-Lawson, Kolmogorov-Smirnov, ANOVA) are also supported.
	Parametric models can be fitted to point pattern data using the functions ppm(), kppm(), slrm(), dppm() similar to glm(). Types of models include Poisson, Gibbs and Cox point processes, Neyman-Scott cluster processes, and determinantal point processes. Models may involve dependence on covariates, inter-point interaction, cluster formation and dependence on marks. Models are fitted by maximum likelihood, logistic regression, minimum contrast, and composite likelihood methods. 
	A model can be fitted to a list of point patterns (replicated point pattern data) using the function mppm(). The model can include random effects and fixed effects depending on the experimental design, in addition to all the features listed above.
	Fitted point process models can be simulated, automatically. Formal hypothesis tests of a fitted model are supported (likelihood ratio test, analysis of deviance, Monte Carlo tests) along with basic tools for model selection (stepwise(), AIC()) and variable selection (sdr). Tools for validating the fitted model include simulation envelopes, residuals, residual plots and Q-Q plots, leverage and influence diagnostics, partial residuals, and added variable plots.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat/issues
Packaged: 2024-03-26 02:01:48 UTC; adrian
Author: Adrian Baddeley [aut, cre] (<https://orcid.org/0000-0001-9499-8382>),
  Rolf Turner [aut] (<https://orcid.org/0000-0001-5521-5218>),
  Ege Rubak [aut] (<https://orcid.org/0000-0002-6675-533X>)
Repository: CRAN
Date/Publication: 2024-03-26 15:20:02 UTC

## r-cran-spatstat 3.0-3

=== debian/changelog ===
r-cran-spatstat (3.0-3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 11:58:40 +0100

r-cran-spatstat (3.0-2-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: r-cran-spatstat.explore, r-cran-spatstat.model

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2022 11:50:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 2.1-2),
-               r-cran-spatstat.geom (>= 2.4-0),
-               r-cran-spatstat.random (>= 2.2-0),
-               r-cran-spatstat.core,
+               r-cran-spatstat.data (>= 3.0-0),
+               r-cran-spatstat.geom (>= 3.0-5),
+               r-cran-spatstat.random (>= 3.1-3),
+               r-cran-spatstat.explore,
+               r-cran-spatstat.model (>= 3.1-2),
                r-cran-spatstat.linnet,
-               r-cran-spatstat.utils (>= 2.3-0)
-Standards-Version: 4.6.1
+               r-cran-spatstat.utils (>= 3.0-1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git
 Homepage: https://cran.r-project.org/package=spatstat

## r-cran-spatstat 3.0-6

=== debian/changelog ===
r-cran-spatstat (3.0-6-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 18:53:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 3.0-0),
-               r-cran-spatstat.geom (>= 3.0-5),
-               r-cran-spatstat.random (>= 3.1-3),
-               r-cran-spatstat.explore,
-               r-cran-spatstat.model (>= 3.1-2),
-               r-cran-spatstat.linnet,
-               r-cran-spatstat.utils (>= 3.0-1)
+               r-cran-spatstat.data (>= 3.0-1),
+               r-cran-spatstat.geom (>= 3.2-1),
+               r-cran-spatstat.random,
+               r-cran-spatstat.explore (>= 3.2-1),
+               r-cran-spatstat.model,
+               r-cran-spatstat.linnet (>= 3.1-1),
+               r-cran-spatstat.utils (>= 3.0-3)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git

## r-cran-spatstat 3.0-7

=== debian/changelog ===
r-cran-spatstat (3.0-7-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:12:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0-1),
-               r-cran-spatstat.geom (>= 3.2-1),
-               r-cran-spatstat.random,
-               r-cran-spatstat.explore (>= 3.2-1),
+               r-cran-spatstat.geom (>= 3.2-7),
+               r-cran-spatstat.random (>= 3.2-1),
+               r-cran-spatstat.explore (>= 3.2-5),
                r-cran-spatstat.model,
-               r-cran-spatstat.linnet (>= 3.1-1),
+               r-cran-spatstat.linnet (>= 3.1-3),
                r-cran-spatstat.utils (>= 3.0-3)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat

## r-cran-spatstat 3.0-8

=== debian/changelog ===
r-cran-spatstat (3.0-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 May 2024 21:26:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 3.0-1),
-               r-cran-spatstat.geom (>= 3.2-7),
-               r-cran-spatstat.random (>= 3.2-1),
-               r-cran-spatstat.explore (>= 3.2-5),
+               r-cran-spatstat.data (>= 3.0-4),
+               r-cran-spatstat.geom (>= 3.2-9),
+               r-cran-spatstat.random (>= 3.2-3),
+               r-cran-spatstat.explore (>= 3.2-7),
                r-cran-spatstat.model,
-               r-cran-spatstat.linnet (>= 3.1-3),
-               r-cran-spatstat.utils (>= 3.0-3)
-Standards-Version: 4.6.2
+               r-cran-spatstat.linnet (>= 3.1-5),
+               r-cran-spatstat.utils (>= 3.0-4)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git
 Homepage: https://cran.r-project.org/package=spatstat

## r-cran-spatstat 3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat
-Version: 3.0-8
-Date: 2024-03-26
+Version: 3.3-1
+Date: 2025-01-23
 Title: Spatial Point Pattern Analysis, Model-Fitting, Simulation, Tests
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre"),
@@ -15,11 +15,11 @@
 		    email = "rubak@math.aau.dk",
 		    comment=c(ORCID="0000-0002-6675-533X")))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.5.0), spatstat.data (>= 3.0-4), spatstat.geom (>=
-        3.2-9), spatstat.random (>= 3.2-3), spatstat.explore (>=
-        3.2-7), spatstat.model (>= 3.2-11), spatstat.linnet (>= 3.1-5),
-        utils
-Imports: spatstat.utils (>= 3.0-4)
+Depends: R (>= 3.5.0), spatstat.data (>= 3.1-4), spatstat.univar (>=
+        3.1-1), spatstat.geom (>= 3.3-5), spatstat.random (>= 3.3-2),
+        spatstat.explore (>= 3.3-4), spatstat.model (>= 3.3-4),
+        spatstat.linnet (>= 3.2-5), utils
+Imports: spatstat.utils (>= 3.1-2)
 Suggests:
 Description: Comprehensive open-source toolbox for analysing Spatial Point Patterns. Focused mainly on two-dimensional point patterns, including multitype/marked points, in any spatial region. Also supports three-dimensional point patterns, space-time point patterns in any number of dimensions, point patterns on a linear network, and patterns of other geometrical objects. Supports spatial covariate data such as pixel images. 
 	Contains over 3000 functions for plotting spatial data, exploratory data analysis, model-fitting, simulation, spatial sampling, model diagnostics, and formal inference. 
@@ -33,9 +33,9 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat/issues
-Packaged: 2024-03-26 02:01:48 UTC; adrian
+Packaged: 2025-01-23 13:40:23 UTC; adrian
 Author: Adrian Baddeley [aut, cre] (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut] (<https://orcid.org/0000-0001-5521-5218>),
   Ege Rubak [aut] (<https://orcid.org/0000-0002-6675-533X>)
 Repository: CRAN
-Date/Publication: 2024-03-26 15:20:02 UTC
+Date/Publication: 2025-01-23 16:40:02 UTC

## r-cran-spatstat 3.3-1

=== debian/changelog ===
r-cran-spatstat (3.3-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Feb 2025 12:05:25 +0900

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: r-cran-spatstat
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git
+Homepage: https://cran.r-project.org/package=spatstat
+Standards-Version: 4.7.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 3.0-4),
-               r-cran-spatstat.geom (>= 3.2-9),
-               r-cran-spatstat.random (>= 3.2-3),
-               r-cran-spatstat.explore (>= 3.2-7),
-               r-cran-spatstat.model,
-               r-cran-spatstat.linnet (>= 3.1-5),
-               r-cran-spatstat.utils (>= 3.0-4)
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git
-Homepage: https://cran.r-project.org/package=spatstat
-Rules-Requires-Root: no
+               r-cran-spatstat.data (>= 3.1-4),
+               r-cran-spatstat.geom (>= 3.3-5),
+               r-cran-spatstat.random (>= 3.3-2),
+               r-cran-spatstat.explore (>= 3.3-4),
+               r-cran-spatstat.model (>= 3.3-4),
+               r-cran-spatstat.linnet (>= 3.2-5),
+               r-cran-spatstat.utils (>= 3.1-2)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -type d -name ratfor | xargs rm -rf

override_dh_fixperms:
	dh_fixperms
	find debian \( -name CITATION -o -name "*.txt" -o -name "*.Rnw" -o -name "*.Rd" \) -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/spatstat_([-\d.]*)\.tar\.gz

## r-cran-spatstat 3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat
-Version: 3.3-1
-Date: 2025-01-23
+Version: 3.5-1
+Date: 2026-02-01
 Title: Spatial Point Pattern Analysis, Model-Fitting, Simulation, Tests
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre"),
@@ -15,11 +15,11 @@
 		    email = "rubak@math.aau.dk",
 		    comment=c(ORCID="0000-0002-6675-533X")))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.5.0), spatstat.data (>= 3.1-4), spatstat.univar (>=
-        3.1-1), spatstat.geom (>= 3.3-5), spatstat.random (>= 3.3-2),
-        spatstat.explore (>= 3.3-4), spatstat.model (>= 3.3-4),
-        spatstat.linnet (>= 3.2-5), utils
-Imports: spatstat.utils (>= 3.1-2)
+Depends: R (>= 3.5.0), spatstat.data (>= 3.1-9), spatstat.univar (>=
+        3.1-6), spatstat.geom (>= 3.7), spatstat.random (>= 3.4-4),
+        spatstat.explore (>= 3.7), spatstat.model (>= 3.6-1),
+        spatstat.linnet (>= 3.4-1), utils
+Imports: spatstat.utils (>= 3.2-1)
 Suggests:
 Description: Comprehensive open-source toolbox for analysing Spatial Point Patterns. Focused mainly on two-dimensional point patterns, including multitype/marked points, in any spatial region. Also supports three-dimensional point patterns, space-time point patterns in any number of dimensions, point patterns on a linear network, and patterns of other geometrical objects. Supports spatial covariate data such as pixel images. 
 	Contains over 3000 functions for plotting spatial data, exploratory data analysis, model-fitting, simulation, spatial sampling, model diagnostics, and formal inference. 
@@ -30,12 +30,13 @@
 	Fitted point process models can be simulated, automatically. Formal hypothesis tests of a fitted model are supported (likelihood ratio test, analysis of deviance, Monte Carlo tests) along with basic tools for model selection (stepwise(), AIC()) and variable selection (sdr). Tools for validating the fitted model include simulation envelopes, residuals, residual plots and Q-Q plots, leverage and influence diagnostics, partial residuals, and added variable plots.
 License: GPL (>= 2)
 URL: http://spatstat.org/
-NeedsCompilation: yes
+NeedsCompilation: no
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat/issues
-Packaged: 2025-01-23 13:40:23 UTC; adrian
-Author: Adrian Baddeley [aut, cre] (<https://orcid.org/0000-0001-9499-8382>),
-  Rolf Turner [aut] (<https://orcid.org/0000-0001-5521-5218>),
-  Ege Rubak [aut] (<https://orcid.org/0000-0002-6675-533X>)
+Packaged: 2026-02-01 01:11:50 UTC; adrian
+Author: Adrian Baddeley [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-9499-8382>),
+  Rolf Turner [aut] (ORCID: <https://orcid.org/0000-0001-5521-5218>),
+  Ege Rubak [aut] (ORCID: <https://orcid.org/0000-0002-6675-533X>)
 Repository: CRAN
-Date/Publication: 2025-01-23 16:40:02 UTC
+Date/Publication: 2026-02-01 06:10:02 UTC

## r-cran-spatstat 3.5-1

=== debian/changelog ===
r-cran-spatstat (3.5-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 09:32:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,45 @@
 Source: r-cran-spatstat
+Standards-Version: 4.7.3
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: gnu-r
-Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Testsuite: autopkgtest-pkg-r
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-r,
+ r-base-dev,
+ r-cran-spatstat.data (>= 3.1-9),
+ r-cran-spatstat.univar,
+ r-cran-spatstat.geom (>= 3.7),
+ r-cran-spatstat.random (>= 3.4-4),
+ r-cran-spatstat.explore (>= 3.7),
+ r-cran-spatstat.model (>= 3.6-1),
+ r-cran-spatstat.linnet (>= 3.4-1),
+ r-cran-spatstat.utils (>= 3.2-1),
+ r-cran-spatstat.data (>= 3.1-4),
+ r-cran-spatstat.geom (>= 3.3-5),
+ r-cran-spatstat.random (>= 3.3-2),
+ r-cran-spatstat.explore (>= 3.3-4),
+ r-cran-spatstat.model (>= 3.3-4),
+ r-cran-spatstat.linnet (>= 3.2-5),
+ r-cran-spatstat.utils (>= 3.1-2),
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.git
 Homepage: https://cran.r-project.org/package=spatstat
-Standards-Version: 4.7.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-spatstat.data (>= 3.1-4),
-               r-cran-spatstat.geom (>= 3.3-5),
-               r-cran-spatstat.random (>= 3.3-2),
-               r-cran-spatstat.explore (>= 3.3-4),
-               r-cran-spatstat.model (>= 3.3-4),
-               r-cran-spatstat.linnet (>= 3.2-5),
-               r-cran-spatstat.utils (>= 3.1-2)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat
 Architecture: any
-Depends: ${R:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Depends:
+ ${R:Depends},
+ ${misc:Depends},
+Recommends:
+ ${R:Recommends},
+Suggests:
+ ${R:Suggests},
 Description: GNU R Spatial Point Pattern analysis, model-fitting, simulation, tests
  A GNU R package for analysing spatial data, mainly Spatial Point Patterns,
  including multitype/marked points and spatial covariates, in any
